| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | List of all members
Digikam::CurvesBox Class Reference
Inheritance diagram for Digikam::CurvesBox:

## Public Types
enum | ColorPicker { NoPicker = -1 , BlackTonal = 0 , GrayTonal , WhiteTonal }
enum | CurvesDrawingType { SmoothDrawing = 0 , FreeDrawing }

## Public Slots
void | setChannel (ChannelType channel)
void | setScale (HistogramScale scale)

## Signals
void | signalChannelReset (int)
void | signalCurvesChanged ()
void | signalCurveTypeChanged (int)
void | signalPickerChanged (int)

## Public Member Functions
| CurvesBox (int w, int h, const DImg &img, QWidget *const parent=nullptr, bool readOnly=false)
| CurvesBox (int w, int h, QWidget *const parent=nullptr, bool readOnly=false)
ChannelType | channel () const
ImageCurves * | curves () const
int | curvesLeftOffset () const
void | enableControlWidgets (bool enable)
void | enableCurveTypes (bool enable)
void | enableGradients (bool enable)
void | enableHGradient (bool enable)
void | enablePickers (bool enable)
void | enableResetButton (bool enable)
void | enableVGradient (bool enable)
int | picker () const
void | readCurveSettings (KConfigGroup &group, const QString &prefix)
void | reset ()
void | resetChannel (int channel)
void | resetChannels ()
void | resetPickers ()
void | setCurveGuide (const DColor &color)
void | writeCurveSettings (KConfigGroup &group, const QString &prefix)